
/* BEGIN software license
 *
 * MsXpertSuite - mass spectrometry software suite
 * -----------------------------------------------
 * Copyright 2009--2026 by Filippo Rusconi
 *
 * http://www.msxpertsuite.org
 *
 * This file is part of the MsXpertSuite project.
 *
 * The MsXpertSuite project is the successor of the massXpert project. This
 * project now includes various independent modules:
 *
 * - massXpert, model polymer chemistries and simulate mass spectrometric data;
 * - mineXpert, a powerful TIC chromatogram/mass spectrum viewer/miner;
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * END software license
 */


/////////////////////// Qt includes

/////////////////////// Local includes
#include "MsXpS/libXpertMassGui/ManagedQDoubleSpinBox.hpp"

namespace MsXpS
{
namespace libXpertMassGui
{

ManagedQDoubleSpinBox::ManagedQDoubleSpinBox(QWidget *parent)
  : QDoubleSpinBox(parent)
{
}

void
ManagedQDoubleSpinBox::keyPressEvent(QKeyEvent *event)
{
  if(event->key() == Qt::Key_Delete)
    {
      // qDebug() << "Pressing Del from the spin box";

      setValue(0.0);
      event->accept();
      return;
    }
  // Let the base class handle all other keys normally
  QDoubleSpinBox::keyPressEvent(event);
}

void
ManagedQDoubleSpinBox::keyReleaseEvent(QKeyEvent *event)
{
  if(event->key() == Qt::Key_Delete)
    {
      // qDebug() << "Pressing Del from the spin box";

      setValue(0.0);
      event->accept();
      return;
    }
  // Let the base class handle all other keys normally
  QDoubleSpinBox::keyPressEvent(event);
}


} // namespace libXpertMassGui
} // namespace MsXpS
